%define momorel 20

Summary: Baekmuk Korean hangul truetype Fonts
Name: truetype-fonts-ko
Version: 2.1
Release: %{momorel}m
BuildArch: noarch
Source0: ftp://ftp.mizi.com/pub/baekmuk/baekmuk-ttf-2.0.tar.gz
Source1: ftp://ftp.mizi.com/pub/baekmuk/baekmuk-doc.tar.gz
Source10: truetype-ko-fonts.alias
Source11: truetype-ko-fonts.scale
License: see "COPYRIGHT"
URL: http://www.kondara.org/~haruka76
Group: User Interface/X
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: baekmuk-ttf
BuildPreReq: xorg-x11-font-utils
BuildPrereq: xorg-x11-fonts-base
PreReq: sh-utils, chkfontpath-momonga

%description
Baekmuk Korean Hangul True Type Font

%prep
rm -rf %{buildroot}

%setup -q -c truetype-fonts-ko-2.1

%install

%define instancedir /usr/share/fonts/truetype/korean
%define xfontdir /usr/share/X11/fonts/truetype-ko

mkdir -p %{buildroot}%{instancedir}
mkdir -p %{buildroot}%{xfontdir}

install *.ttf %{buildroot}%{instancedir}
install %{SOURCE10} %{buildroot}%{xfontdir}/fonts.alias
install %{SOURCE11} %{buildroot}%{xfontdir}/fonts.scale
tar zxf %SOURCE1

for f in *.ttf; do
	ln -sf ../../../../..%{_datadir}/fonts/truetype/korean/$f %{buildroot}%{xfontdir}/$f
done

/usr/bin/mkfontdir -e /usr/share/X11/fonts/encodings \
			 -e /usr/share/X11/fonts/encodings/large \
			 %{buildroot}%{xfontdir}

#ln -sf %{instancedir}/batang.ttf %{buildroot}%{xfontdir}/batang.ttf
#ln -sf %{instancedir}/dotum.ttf %{buildroot}%{xfontdir}/dotum.ttf
#ln -sf %{instancedir}/gulim.ttf %{buildroot}%{xfontdir}/gulim.ttf
#ln -sf %{instancedir}/hline.ttf %{buildroot}%{xfontdir}/hline.ttf

%post
if [ -x /usr/sbin/chkfontpath ]; then
  /usr/sbin/chkfontpath -qa %{xfontdir}
  if ! [ grep /usr/share/X11/fonts/truetype-ko /etc/X11/XftConfig ] >& /dev/null ; then
    echo dir \"/usr/share/X11/fonts/truetype-ko\" >> /etc/X11/XftConfig
  fi
fi

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
  if [ -x /usr/sbin/chkfontpath ]; then
    /usr/sbin/chkfontpath -qr %{xfontdir}
    grep -v /usr/share/X11/fonts/truetype-ko /etc/X11/XftConfig > /etc/X11/XftConfig.new
    mv /etc/X11/XftConfig.new /etc/X11/XftConfig
  fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc COPYRIGHT*
%dir %{instancedir}
%dir %{xfontdir}
%{xfontdir}/*.ttf
%{instancedir}/*.ttf
%config(noreplace) %{xfontdir}/fonts.dir
%config(noreplace) %{xfontdir}/fonts.scale
%config(noreplace) %{xfontdir}/fonts.alias
%config(noreplace) %{xfontdir}/encodings.dir

%ChangeLog
* Wed Apr  5 2006 zunda <zunda at freeshell.org>
- (kossori)
- added xorg-x11-fonts-base to buildprereq. -e option of mkfontdir 
  requires the directory to exsist.

* Sat Mar 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.1-20m)
- revise for xorg-7.0
- change install dir

* Sun Oct 26 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.1-19m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sat May 18 2002 Toru Hoshina <t@kondara.org>
- (2.1-18k)
- mkfontdir tukattendaro korua.

* Wed Mar 27 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (2.1-16k)
- fix missing symlink (${instancedir} -> %{instancedir} ;-p )

* Thu Feb 14 2002 Tsutomu Yasuda <tom@kondara.org>
- (2.1-14k)
- NoSource statement was removed.

* Sat Nov 10 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- fix spec (%install %files)

* Tue Oct 30 2001 Toru Hoshina <t@kondara.org>
- (2.1-10k)
- add/remove XftConfig.

* Sat Sep 15 2001 Toru Hoshina <t@kondara.org>
- (2.1-8k)
- no xfs.

* Mon May  7 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- post, postun scripts

* Mon Apr 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.1-4k)
- errased xset execution at %post and %postun section

* Wed Oct 4 2000 Kusumi haruka <haruka76@kondara.org>
- modified fonts.dir and fonts.scale

* Sun Jul 23 2000 Toru Hoshina <t@kondara.org>
- revised spec file.

* Tue Jun 27 2000 AYUHANA Tomonori <l@kondara.org>
- (2.0-7k)
- add -q at %setup
- remove v from tar
- add -b at %patch
- add %defattr

* Thu May 25 2000 haruka kusumi <haruka76@kondara.org>
- added fonts.alias.patch for kondara

* Thu Mar 02 2000 Woohyun JANG <louis@mizi.co.kr>
- remove chkfontpath dependency

* Mon Jan 24 2000 Seo, Young-Jin <yjseo@mizi.co.kr>
- font server is restarted at post and unpost.

* Tue Jan 18 2000 Woohyun JANG <louis@mizi.co.kr>
- add gulim24.bdf, batang14.bdf
  gulim24.bdf was done mostly by Youngsoo KANG.
  batang14.bdf was partly done by Sungmin Yoon

* Fri Jan 07 2000 Seo, Young-Jin <yjseo@mizi.co.kr>
- Now Beakmuk truetype contains all moderm Hangul
  Thanks Korean Linux Associationa ans Hwan Desing Inc.
- gulim16 is modified.
  Thanks Sung-Hyun Nam <namsh@lgic.co.kr>
- Wooderart Inc. is renamed to Hwan Desing Inc.

* Wed Aug  4 1999 Seo, Young-Jin <yjseo@mizi.co.kr>
- ttf font name fields are corrected.
- Thanks Cha, Jae-Choon <jccha@knot.kaist.ac.kr>

* Wed Aug  3 1999 Woohyun JANG <louis@mizi.co.kr>
- add attr() in files section

* Mon Jul 26 1999 Woohyun JANG <louis@mizi.co.kr>
- add :unscaled. thanks to Kim Hyunchul <mindgame@plp.postech.ac.kr>

* Sat Jul 24 1999 Seo, Young-Jin <yjseo@mizi.co.kr>
- unscaled is removed from fontpath in post and postun script

* Thu Jul 22 1999 Woohyun JANG <louis@mizi.co.kr>
- bug fix in fonts.dir(in baekmuk-ttf)

* Wed Jun 23 1999 Woohyun JANG <louis@mizi.co.kr>
- initial release
